Get a project by ID
curl --request GET \
--url https://api.devic.ai/v1/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"clientUID": "<string>",
"name": "<string>",
"identifier": "<string>",
"description": "<string>",
"imageUrl": "<string>",
"visibility": "public",
"createdByUserUID": "<string>",
"creationTimestampMs": 123,
"lastEditTimestampMs": 123,
"archived": true
}Projects
Get a project by ID
Retrieves a single project by its ID.
GET
/
v1
/
projects
/
{projectId}
Get a project by ID
Authorizations
Use JWT token for authentication
Path Parameters
Project ID
Response
Project details
Project ID
Client UID
Project name
Unique identifier (lowercase alphanumeric with hyphens)
Project description
Project image URL
Project visibility
Available options:
public, private UID of the user that created the project
Creation timestamp (ms)
Last edit timestamp (ms)
Whether the project is archived